This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 817292 - dhcp-forwarder Fails To Build From Source on Fedora 17 (and Rawhide)
dhcp-forwarder Fails To Build From Source on Fedora 17 (and Rawhide)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcp-forwarder (Show other bugs)
17
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: ARMTracker F17FTBFS
  Show dependency treegraph
 
Reported: 2012-04-28 13:26 EDT by Niels de Vos
Modified: 2012-05-06 00:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: dhcp-forwarder-0.10-1700.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-06 00:55:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed patch (869 bytes, patch)
2012-04-28 13:28 EDT, Niels de Vos
no flags Details | Diff
build.log with the compile errors (11.57 KB, text/plain)
2012-04-28 13:30 EDT, Niels de Vos
no flags Details

  None (edit)
Description Niels de Vos 2012-04-28 13:26:03 EDT
Description of problem:
It is not possible to build dhcp-forwarder anymore. The following build error causes the build to fail:

In file included from ./compat/if_packet.h:26:0,
                 from src/main.c:39:
/usr/include/linux/if_packet.h:176:2: error: unknown type name '__aligned_u64'

A full log of the failed build (http://koji.fedoraproject.org/koji/taskinfo?taskID=4031107) is attached.


It seems that the type '__aligned_u64' is not available in /usr/include/asm/types.h or /usr/include/linux/types.h anymore. The attached patch fixes the build by defining '__aligned_u64' in the compat-layer if it is not defined already.

Result:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4031278

Please apply the attached patch and push a new build to the master (Rawhide) and Fedora 17 branches.

Thanks!
Comment 1 Niels de Vos 2012-04-28 13:28:56 EDT
Created attachment 580986 [details]
proposed patch
Comment 2 Niels de Vos 2012-04-28 13:30:18 EDT
Created attachment 580987 [details]
build.log with the compile errors
Comment 3 Fedora Update System 2012-04-30 08:27:13 EDT
dhcp-forwarder-0.10-1700.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dhcp-forwarder-0.10-1700.fc17
Comment 4 Enrico Scholz 2012-04-30 08:29:06 EDT
thx; I removed this compatibility hack which is not needed anymore for years.
Comment 5 Niels de Vos 2012-04-30 08:48:46 EDT
Cool, many thanks!
Comment 6 Fedora Update System 2012-04-30 14:47:28 EDT
Package dhcp-forwarder-0.10-1700.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dhcp-forwarder-0.10-1700.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6935/dhcp-forwarder-0.10-1700.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-05-06 00:55:25 EDT
dhcp-forwarder-0.10-1700.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.